MAB2::Writer::Disk(3pm)

NAME
MAB2::Writer::Disk - MAB2 Diskette format serializer

SYNOPSIS
MAB2::Writer::Disk is a MAB2 Diskette serializer.

    use MAB2::Writer::Disk;

    my @mab_records = (

        [
          ['001', ' ', '_', '2415107-5'],
          ['331', ' ', '_', 'Code4Lib journal'],
          ['655', 'e', 'u', 'http://journal.code4lib.org/', 'z', 'kostenfrei'],
          ...
        ],
        {
          record => [
              ['001', ' ', '_', '2415107-5'],
              ['331', ' ', '_', 'Code4Lib journal'],
              ['655', 'e', 'u', 'http://journal.code4lib.org/', 'z', 'kostenfrei'],
              ...
          ]
        }
    );

    $writer = MAB2::Writer::Disk->new( fh => $fh );

    foreach my $record (@mab_records) {
        $writer->write($record);
    }

Arguments

"subfield_indicator"
    Set subfield separator. Default: INFORMATION SEPARATOR ONE. Optional.

See also MAB2::Writer::Handle.

METHODS

  new(file => $file | fh => $fh [, encoding => 'UTF-8', subfield_separator => '$'])

  _write_record($record)

SEEALSO
MAB2::Writer::Handle, Catmandu::Exporter.

AUTHOR
Johann Rolschewski <jorol@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by Johann Rolschewski.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.